$(function() {
    var dateFormatInput = 'YYYY-MM-DD';
    var dateFormatInterface = 'D MMMM YYYY';

    var getSelectedInterval = function() {
        return document.getElementById("select-interval").value;
    };

    function getURLParameter(name) {
      return decodeURIComponent((new RegExp('[?|&]' + name + '=' + '([^&;]+?)(&|#|;|$)').exec(location.search) || [null, ''])[1].replace(/\+/g, '%20')) || null;
    }

    var dateBegin = getURLParameter('date_begin');
    var dateEnd = getURLParameter('date_end');
    var binSizeHours = getURLParameter('bin_size_hour');

    if (binSizeHours) {
        document.getElementById("select-interval").value = binSizeHours;
    } else {
        document.getElementById("select-interval").value = 6;  // this default value needs to be the same as the interval of the default data generated by the python script
    }

    var beginDatePicker;
    var endDatePicker;

    function onDateRangePicked(start, end, changeUrl=true) {
        $('#reportrange span').html(start.format(dateFormatInterface) + ' - ' + end.format(dateFormatInterface));
        beginDatePicker = start;
        endDatePicker = end;
        if (changeUrl) {
            reloadPageForNewInput();
        }
    }

    var reloadPageForNewInput = function() {
        var newUrl = '/?date_begin=' + beginDatePicker.format('YYYY-MM-DD');
        newUrl += '&date_end=' + endDatePicker.format('YYYY-MM-DD')
        newUrl += '&bin_size_hour=' + getSelectedInterval()
        window.location.href = newUrl;
    };

    var momentBegin = moment().subtract(29, 'days');
    if (dateBegin) {
        momentBegin = moment(dateBegin, dateFormatInput);
    }
    var momentEnd = moment();  // default is now
    if (dateEnd) {
        momentEnd = moment(dateEnd, dateFormatInput);
    }

    onDateRangePicked(momentBegin, momentEnd, false);

    $('#reportrange').daterangepicker({
        ranges: {
            'Today': [moment(), moment().add(1, 'days')],
            'Yesterday': [moment().subtract(1, 'days'), moment()],
            'Last 7 Days': [moment().subtract(6, 'days'), moment().add(1, 'days')],
            'Last 30 Days': [moment().subtract(29, 'days'), moment().add(1, 'days')],
            'This Month': [moment().startOf('month'), moment().endOf('month').add(1, 'days')],
            'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month').add(1, 'days')],
            'All': [moment('2009-01-03', dateFormatInput), moment().add(1, 'days')]
        },
        autoApply: true,
        opens: 'right',
    }, onDateRangePicked);


    document.getElementById("select-interval").onchange = function() {
        reloadPageForNewInput();
    }
});